<?xml version="1.0" encoding="utf-8"?>
<manifest
	xmlns:android="http://schemas.android.com/apk/res/android"
	package="reparto_mazapa.keymon.lat"
	android:versionCode="1"
	android:versionName="5.09.10"
	android:installLocation="internalOnly">
	
	<uses-sdk android:minSdkVersion="5" android:targetSdkVersion="33"/>
	<supports-screens android:largeScreens="true" 
	    android:normalScreens="true"
	    android:smallScreens="true"
	    android:anyDensity="true"/>
	<uses-permission
	  android:name="android.permission.WRITE_EXTERNAL_STORAGE"
	  android:maxSdkVersion="33" />
	<uses-permission
	  android:name="android.permission.ACCESS_FINE_LOCATION"
	  android:maxSdkVersion="33" />
	<uses-permission
	  android:name="android.permission.ACCESS_COARSE_LOCATION"
	  android:maxSdkVersion="33" />
	<uses-permission
	  android:name="android.permission.READ_PHONE_STATE"
	  android:maxSdkVersion="33" />
	<uses-permission
	  android:name="android.permission.READ_PRIVILEGED_PHONE_STATE"
	  android:maxSdkVersion="33" />
	<uses-permission
		android:name="android.permission.WRITE_EXTERNAL_STORAGE"
		android:maxSdkVersion="33" />
	<uses-feature android:name="android.hardware.telephony" android:required="false" />
	<uses-feature android:name="android.hardware.camera" android:required="false" />
	<uses-feature android:name="android.hardware.camera.autofocus" android:required="false" />
	<uses-feature android:name="android.hardware.camera.flash" android:required="false" />
	<uses-permission
		android:name="android.permission.WRITE_EXTERNAL_STORAGE"
		android:maxSdkVersion="33" />
	<queries><package android:name="com.google.android.apps.maps" /></queries>
	<uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
	<uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
	<uses-permission android:name="android.permission.BLUETOOTH"/>
	<uses-permission android:name="android.permission.BLUETOOTH_ADMIN"/>
	<uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"/>
	<uses-permission android:name="android.permission.READ_PHONE_STATE"/>
	<uses-permission android:name="android.permission.VIBRATE"/>
	<uses-permission android:name="android.permission.POST_NOTIFICATIONS"/>
	<uses-permission android:name="android.permission.WAKE_LOCK"/>
	<uses-permission android:name="android.permission.CAMERA"/>
	<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
	<uses-permission android:name="android.permission.INTERNET"/>
	<uses-permission android:name="com.google.android.providers.gsf.permission.READ_GSERVICES"/>
	<uses-permission android:name="reparto_mazapa.keymon.lat.permission.MAPS_RECEIVE"/>
	<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
	<uses-permission android:name="android.permission.FOREGROUND_SERVICE"/>
	<uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED"/>
	<uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION"/>
	<uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES"/>
	<uses-permission android:name="android.permission.INSTALL_PACKAGES"/>
	<uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>
	<uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE"/>
	<uses-permission android:name="android.permission.BLUETOOTH_ADVERTISE"/>
	<uses-permission android:name="android.permission.BLUETOOTH_CONNECT"/>
	<uses-permission android:name="android.permission.BLUETOOTH_SCAN"/>
	<application
		android:icon="@drawable/icon"
		android:label="MAZAPA Reparto"
		android:theme="@style/LightTheme"
		android:usesCleartextTraffic="true"
		android:largeHeap="true"
		android:allowBackup="false">
		
		<activity android:name="com.google.zxing.client.android.CaptureActivity"
		android:screenOrientation="landscape" 
		android:configChanges="orientation|keyboardHidden"
		android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
		android:windowSoftInputMode="stateAlwaysHidden">
		</activity>
		<activity android:name="com.google.android.gms.common.api.GoogleApiActivity"
		  android:theme="@android:style/Theme.Translucent.NoTitleBar"
		  android:exported="false"/>
		    <meta-data
		  android:name="com.google.android.gms.version"
		  android:value="@integer/google_play_services_version" />
		<meta-data
		  android:name="com.google.android.geo.API_KEY"
		   android:value="AIzaSyBlBnx3O-DncOSv3oFIp-12wgujOYYcl-U"/>
		  <meta-data android:name="com.google.android.gms.version"
		   android:value="@integer/google_play_services_version" />
		<uses-library
		      android:name="org.apache.http.legacy"
		      android:required="false" />
		<provider
			android:name="androidx.core.content.FileProvider"
			android:authorities="reparto_mazapa.keymon.lat.provider"
			android:exported="false"
			android:grantUriPermissions="true">
			<meta-data
			android:name="android.support.FILE_PROVIDER_PATHS"
			android:resource="@xml/provider_paths"/>
			</provider>
		<activity android:name="ice.zxing.CaptureActivity"
			android:screenOrientation="portrait" android:configChanges="orientation|keyboardHidden"
			android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
			android:windowSoftInputMode="stateAlwaysHidden">
		</activity>
		<provider
				android:name="androidx.core.content.FileProvider"
				android:authorities="reparto_mazapa.keymon.lat.provider"
				android:exported="false"
				android:grantUriPermissions="true">
				<meta-data
				android:name="android.support.FILE_PROVIDER_PATHS"
				android:resource="@xml/provider_paths"/>
			</provider>
		<service android:name="b4a.jsaplication.com.br.ReplyAuto"
			android:label="Mazapa" android:permission="android.permission.BIND_NOTIFICATION_LISTENER_SERVICE" android:exported="true">
		     <intent-filter><action android:name="android.service.notification.NotificationListenerService" /></intent-filter>
		 </service>
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".main"
			android:label="MAZAPA Reparto"
			android:screenOrientation="portrait"
			android:exported="true">
			<intent-filter>
			   <action android:name="android.intent.action.MAIN" />
			   <category android:name="android.intent.category.LAUNCHER" />
			</intent-filter>
			
		</activity>
		<service
			android:name=".starter"
			android:exported="true">
		</service>
		<receiver
			android:name=".starter$starter_BR"
			android:exported="true">
		</receiver>
		<service
			android:name=".tracker"
			android:exported="true"
			android:foregroundServiceType="location">
		</service>
		<receiver
			android:name=".tracker$tracker_BR"
			android:exported="true">
			<intent-filter>
			<action android:name="android.intent.action.BOOT_COMPLETED"/>
			</intent-filter>
		</receiver>
		<service
			android:name=".appupdater"
			android:exported="true">
		</service>
		<receiver
			android:name=".appupdater$appupdater_BR"
			android:exported="true">
		</receiver>
		<service
			android:name=".firebasemessaging"
			android:exported="true">
		</service>
		<receiver
			android:name=".firebasemessaging$firebasemessaging_BR"
			android:exported="true">
		</receiver>
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".foto"
			android:label="MAZAPA Reparto"
			android:screenOrientation="portrait"
			android:exported="true">
		</activity>
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".mapa_cliente"
			android:label="MAZAPA Reparto"
			android:screenOrientation="portrait"
			android:exported="true">
		</activity>
		<activity
			android:windowSoftInputMode="stateHidden"
			android:launchMode="singleTop"
			android:name=".mapa_rutas"
			android:label="MAZAPA Reparto"
			android:screenOrientation="portrait"
			android:exported="true">
		</activity>
		<service
			android:name=".newinst2"
			android:exported="true">
		</service>
		<receiver
			android:name=".newinst2$newinst2_BR"
			android:exported="true">
		</receiver>
		<receiver
			android:name=".httputils2service"
			android:exported="true">
		</receiver>
	</application>
</manifest>